> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Process the registration form

> Creates a user from an invitation, issues tokens,
and redirects with access_token, refresh_token, and state.



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/entity-manager post /oauth/register
openapi: 3.0.0
info:
  title: entity-manager
  version: unknown
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 400 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /oauth/register:
    post:
      tags:
        - OAuth
      summary: Process the registration form
      description: |-
        Creates a user from an invitation, issues tokens,
        and redirects with access_token, refresh_token, and state.
      operationId: oauth-post-register
      parameters: []
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                redirect_uri:
                  type: string
                state:
                  type: string
                invitation_id:
                  type: string
                firstname:
                  type: string
                lastname:
                  type: string
                password:
                  type: string
                password_confirm:
                  type: string
                lang:
                  type: string
              required:
                - client_id
                - redirect_uri
                - invitation_id
                - password
                - password_confirm
              additionalProperties: false
      responses:
        '204':
          description: No Content
      security:
        - password_auth: []
components:
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````